<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_20) on Mon Jun 13 10:56:16 CEST 2011 -->
<TITLE>
EquLin
</TITLE>

<META NAME="date" CONTENT="2011-06-13">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="EquLin";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../SysEquLin/EquLinNome.html" title="class in SysEquLin"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?SysEquLin/EquLin.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="EquLin.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
SysEquLin</FONT>
<BR>
Class EquLin</H2>
<PRE>
java.lang.Object
  <IMG SRC="../resources/inherit.gif" ALT="extended by "><B>SysEquLin.EquLin</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <B>EquLin</B><DT>extends java.lang.Object</DL>
</PRE>

<P>
Describes a linear differential equation of a system.

        Must be written like :
                <state_i> := a1*<state_1> + ... + an*<state_n>
        Example :
                x2 := 2*x1 - x2 + 0.5 * x3
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../SysEquLin/EquLin.html#EquLin(int)">EquLin</A></B>(int&nbsp;state)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initialize a newly created EquLin object with the user defined
 differentiated state (by id).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../SysEquLin/EquLin.html#EquLin(SysEquLin.StateList, java.lang.String)">EquLin</A></B>(<A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist,
       java.lang.String&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initialize a newly created EquLin object with the user defined
 differentiated state (by name).</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.ArrayList&lt;<A HREF="../SysEquLin/EquLinNome.html" title="class in SysEquLin">EquLinNome</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/EquLin.html#copy()">copy</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.ArrayList&lt;<A HREF="../SysEquLin/EquLinNome.html" title="class in SysEquLin">EquLinNome</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/EquLin.html#copyinput()">copyinput</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/EquLin.html#getState()">getState</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the differentiated state.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/EquLin.html#setEquation(java.lang.String, SysEquLin.StateList)">setEquation</A></B>(java.lang.String&nbsp;sequ,
            <A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses a string object containing a linear differential equation
 representation (with a defined syntax).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/EquLin.html#setEquation(java.lang.String, SysEquLin.StateList, SysEquLin.StateList)">setEquation</A></B>(java.lang.String&nbsp;sequ,
            <A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist,
            <A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;ulist)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses a string object containing a linear differential equation
 representation (with a defined syntax).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/EquLin.html#simplify()">simplify</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.ArrayList&lt;<A HREF="../SysEquLin/EquLinNome.html" title="class in SysEquLin">EquLinNome</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/EquLin.html#simplifyinput()">simplifyinput</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Simplifies the linear differential equation.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.ArrayList&lt;<A HREF="../SysEquLin/EquLinNome.html" title="class in SysEquLin">EquLinNome</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/EquLin.html#simplifylist()">simplifylist</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Simplifies the linear differential equation.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/EquLin.html#size()">size</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the number of element in the EquLinNome list associated to
 states.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/EquLin.html#sizeinput()">sizeinput</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the number of element in the EquLinNome list associated to
 inputs.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/EquLin.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string object representation of linear differential
 equation.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/EquLin.html#toString(SysEquLin.StateList)">toString</A></B>(<A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string object representation of linear differential
 equation without inputs.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/EquLin.html#toString(SysEquLin.StateList, SysEquLin.StateList)">toString</A></B>(<A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist,
         <A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;ulist)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string object representation of linear differential
 equation.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/EquLin.html#toStringMatrixFormA(SysEquLin.StateList)">toStringMatrixFormA</A></B>(<A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/EquLin.html#toStringMatrixFormB(SysEquLin.StateList)">toStringMatrixFormB</A></B>(<A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;ulist)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/EquLin.html#toStringY()">toStringY</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string object representation of linear output
 equation.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/EquLin.html#toStringY(SysEquLin.StateList)">toStringY</A></B>(<A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string object representation of linear ouput
 equation without inputs.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/EquLin.html#toStringY(SysEquLin.StateList, SysEquLin.StateList)">toStringY</A></B>(<A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist,
          <A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;ulist)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string object representation of linear output
 equation.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="EquLin(int)"><!-- --></A><H3>
EquLin</H3>
<PRE>
public <B>EquLin</B>(int&nbsp;state)</PRE>
<DL>
<DD>Initialize a newly created EquLin object with the user defined
 differentiated state (by id).
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>state</CODE> - differentiated state.</DL>
</DL>
<HR>

<A NAME="EquLin(SysEquLin.StateList, java.lang.String)"><!-- --></A><H3>
EquLin</H3>
<PRE>
public <B>EquLin</B>(<A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist,
              java.lang.String&nbsp;name)</PRE>
<DL>
<DD>Initialize a newly created EquLin object with the user defined
 differentiated state (by name).
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>slist</CODE> - states list.<DD><CODE>name</CODE> - state name.</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getState()"><!-- --></A><H3>
getState</H3>
<PRE>
public int <B>getState</B>()</PRE>
<DL>
<DD>Gets the differentiated state.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>differentiated state.</DL>
</DD>
</DL>
<HR>

<A NAME="setEquation(java.lang.String, SysEquLin.StateList)"><!-- --></A><H3>
setEquation</H3>
<PRE>
public void <B>setEquation</B>(java.lang.String&nbsp;sequ,
                        <A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist)
                 throws <A HREF="../SysEquLin/SysEquLinException.html" title="class in SysEquLin">SysEquLinException</A></PRE>
<DL>
<DD>Parses a string object containing a linear differential equation
 representation (with a defined syntax).

        Warning : this function do not use input list. Must be used
 only if you are sure that the linear differential equation has no
 input.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>sequ</CODE> - string object to be parsed.<DD><CODE>slist</CODE> - states list.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../SysEquLin/SysEquLinException.html" title="class in SysEquLin">SysEquLinException</A></CODE> - if a parse error occur.</DL>
</DD>
</DL>
<HR>

<A NAME="setEquation(java.lang.String, SysEquLin.StateList, SysEquLin.StateList)"><!-- --></A><H3>
setEquation</H3>
<PRE>
public void <B>setEquation</B>(java.lang.String&nbsp;sequ,
                        <A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist,
                        <A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;ulist)
                 throws <A HREF="../SysEquLin/SysEquLinException.html" title="class in SysEquLin">SysEquLinException</A></PRE>
<DL>
<DD>Parses a string object containing a linear differential equation
 representation (with a defined syntax).
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>sequ</CODE> - string object to be parsed.<DD><CODE>slist</CODE> - states list.<DD><CODE>ulist</CODE> - inputs list.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../SysEquLin/SysEquLinException.html" title="class in SysEquLin">SysEquLinException</A></CODE> - if a parse error occur.</DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public java.lang.String <B>toString</B>()</PRE>
<DL>
<DD>Returns a string object representation of linear differential
 equation. States and inputs are given by their number.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE>toString</CODE> in class <CODE>java.lang.Object</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>string object representation of linear differential equation.</DL>
</DD>
</DL>
<HR>

<A NAME="toStringY()"><!-- --></A><H3>
toStringY</H3>
<PRE>
public java.lang.String <B>toStringY</B>()</PRE>
<DL>
<DD>Returns a string object representation of linear output
 equation. States and inputs are given by their number.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>string object representation of linear output equation.</DL>
</DD>
</DL>
<HR>

<A NAME="toString(SysEquLin.StateList)"><!-- --></A><H3>
toString</H3>
<PRE>
public java.lang.String <B>toString</B>(<A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist)</PRE>
<DL>
<DD>Returns a string object representation of linear differential
 equation without inputs. States are given by name.

        Warning : You must used this function only when your linear
 differential equation has no input !
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>slist</CODE> - states list.
<DT><B>Returns:</B><DD>string object representation of linear differential equation.</DL>
</DD>
</DL>
<HR>

<A NAME="toStringY(SysEquLin.StateList)"><!-- --></A><H3>
toStringY</H3>
<PRE>
public java.lang.String <B>toStringY</B>(<A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist)</PRE>
<DL>
<DD>Returns a string object representation of linear ouput
 equation without inputs. States are given by name.

        Warning : You must used this function only when your linear
 output equation has no input !
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>slist</CODE> - states list.
<DT><B>Returns:</B><DD>string object representation of linear output equation.</DL>
</DD>
</DL>
<HR>

<A NAME="toString(SysEquLin.StateList, SysEquLin.StateList)"><!-- --></A><H3>
toString</H3>
<PRE>
public java.lang.String <B>toString</B>(<A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist,
                                 <A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;ulist)</PRE>
<DL>
<DD>Returns a string object representation of linear differential
 equation. States and inputs are given by name.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>slist</CODE> - states list.<DD><CODE>ulist</CODE> - inputs list.
<DT><B>Returns:</B><DD>string object representation of linear differential equation.</DL>
</DD>
</DL>
<HR>

<A NAME="toStringY(SysEquLin.StateList, SysEquLin.StateList)"><!-- --></A><H3>
toStringY</H3>
<PRE>
public java.lang.String <B>toStringY</B>(<A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist,
                                  <A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;ulist)</PRE>
<DL>
<DD>Returns a string object representation of linear output
 equation. States and inputs are given by name.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>slist</CODE> - states list.<DD><CODE>ulist</CODE> - inputs list.
<DT><B>Returns:</B><DD>string object representation of linear ouput equation.</DL>
</DD>
</DL>
<HR>

<A NAME="simplifylist()"><!-- --></A><H3>
simplifylist</H3>
<PRE>
public java.util.ArrayList&lt;<A HREF="../SysEquLin/EquLinNome.html" title="class in SysEquLin">EquLinNome</A>&gt; <B>simplifylist</B>()</PRE>
<DL>
<DD>Simplifies the linear differential equation. It groups coefficient of
 a same state together (and only states).
<P>
<DD><DL>

<DT><B>Returns:</B><DD>simplified list of basis state (EquLinNome).</DL>
</DD>
</DL>
<HR>

<A NAME="simplifyinput()"><!-- --></A><H3>
simplifyinput</H3>
<PRE>
public java.util.ArrayList&lt;<A HREF="../SysEquLin/EquLinNome.html" title="class in SysEquLin">EquLinNome</A>&gt; <B>simplifyinput</B>()</PRE>
<DL>
<DD>Simplifies the linear differential equation. It groups coefficient of
 a same input together (and only inputs).
<P>
<DD><DL>

<DT><B>Returns:</B><DD>simplified list of basis input (EquLinNome).</DL>
</DD>
</DL>
<HR>

<A NAME="simplify()"><!-- --></A><H3>
simplify</H3>
<PRE>
public void <B>simplify</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="size()"><!-- --></A><H3>
size</H3>
<PRE>
public int <B>size</B>()</PRE>
<DL>
<DD>Gets the number of element in the EquLinNome list associated to
 states.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="sizeinput()"><!-- --></A><H3>
sizeinput</H3>
<PRE>
public int <B>sizeinput</B>()</PRE>
<DL>
<DD>Gets the number of element in the EquLinNome list associated to
 inputs.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="copy()"><!-- --></A><H3>
copy</H3>
<PRE>
public java.util.ArrayList&lt;<A HREF="../SysEquLin/EquLinNome.html" title="class in SysEquLin">EquLinNome</A>&gt; <B>copy</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="copyinput()"><!-- --></A><H3>
copyinput</H3>
<PRE>
public java.util.ArrayList&lt;<A HREF="../SysEquLin/EquLinNome.html" title="class in SysEquLin">EquLinNome</A>&gt; <B>copyinput</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toStringMatrixFormA(SysEquLin.StateList)"><!-- --></A><H3>
toStringMatrixFormA</H3>
<PRE>
public java.lang.String <B>toStringMatrixFormA</B>(<A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;slist)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toStringMatrixFormB(SysEquLin.StateList)"><!-- --></A><H3>
toStringMatrixFormB</H3>
<PRE>
public java.lang.String <B>toStringMatrixFormB</B>(<A HREF="../SysEquLin/StateList.html" title="class in SysEquLin">StateList</A>&nbsp;ulist)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../SysEquLin/EquLinNome.html" title="class in SysEquLin"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?SysEquLin/EquLin.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="EquLin.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
